Bug 110574 - groff should BuildRequires: texinfo, XFree86-devel is needed to build groff-gxditview
groff should BuildRequires: texinfo, XFree86-devel is needed to build groff-g...
Status: CLOSED NEXTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: groff (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-21 09:46 EST by Maxim Dziumanenko
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-18 06:14:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Maxim Dziumanenko 2003-11-21 09:46:30 EST
Description of problem:
1. makeinfo (from texinfo package) is used during groff build, so
groff should BuildRequires: texinfo
2. If groff is built with %{with_xfree86} macro set to 1 (this is
default), it requires XFree86-devel to build groff-gxditview. So
"BuildRequires: XFree86-devel" needed in "%package gxditview" section.

Version-Release number of selected component (if applicable):
groff-1.18.1-29

How reproducible:
Always

Steps to Reproduce:
1.rpm -e texinfo XFree86-devel
2.rpm --rebuild groff-1.18.1-29.src.rpm
3.Wait for build errors
  
Actual results:


Expected results:


Additional info:
Comment 1 Miloslav Trmac 2003-11-21 11:31:57 EST
Triage->Easyfix
Comment 2 Thomas Woerner 2003-12-18 06:14:23 EST
Will be fixed in the next release.

Note You need to log in before you can comment on or make changes to this bug.